Xapian: API Documentation: xapian-core: Xapian::ValueSetMatchDecider Class Reference

# Xapian::ValueSetMatchDecider Class Reference

MatchDecider filtering results based on whether document values are in a user-defined set. More...

Inheritance diagram for Xapian::ValueSetMatchDecider:

[legend]

List of all members.

## Public Member Functions
| ValueSetMatchDecider (Xapian::valueno slot, bool inclusive_)
| Construct a ValueSetMatchDecider.
void | add_value (const std::string &value)
| Add a value to the test set.
void | remove_value (const std::string &value)
| Remove a value from the test set.
bool | operator() (const Xapian::Document &doc) const
| Decide whether we want this document to be in the MSet.

## Detailed Description

MatchDecider filtering results based on whether document values are in a user-defined set.

## Constructor & Destructor Documentation

Xapian::ValueSetMatchDecider::ValueSetMatchDecider | ( | Xapian::valueno | slot,
|  | bool | inclusive_ |
| ) |  |  | `[inline]`

Construct a ValueSetMatchDecider.

Parameters:

  | slot | The value slot number to look in.
  | inclusive_ | If true, match decider accepts documents which have a value in the specified slot which is a member of the test set; if false, match decider accepts documents which do not have a value in the specified slot.

## Member Function Documentation

void Xapian::ValueSetMatchDecider::add_value | ( | const std::string & | value | ) | `[inline]`

Add a value to the test set.

Parameters:

  | value | The value to add to the test set.

bool Xapian::ValueSetMatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const`[virtual]`

Decide whether we want this document to be in the MSet.

Return true if the document is acceptable, or false if the document should be excluded from the MSet.

Implements Xapian::MatchDecider.

void Xapian::ValueSetMatchDecider::remove_value | ( | const std::string & | value | ) | `[inline]`

Remove a value from the test set.

Parameters:

  | value | The value to remove from the test set.

The documentation for this class was generated from the following file:

- xapian/valuesetmatchdecider.h